"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const SweetAlertStyles_1 = require("../styles/SweetAlertStyles");
class Overlay extends react_1.default.Component {
    constructor() {
        super(...arguments);
        this.overlayElement = null;
        this.setOverlayElementRef = (element) => {
            this.overlayElement = element;
        };
    }
    componentDidMount() {
        if (this.overlayElement) {
            this.overlayElement.scrollTop = 0;
        }
    }
    render() {
        const { show, onClick, onKeyDown, children } = this.props;
        return show ? (react_1.default.createElement("div", { ref: this.setOverlayElementRef, style: { ...SweetAlertStyles_1.overlay, ...SweetAlertStyles_1.sweetAlertContainer }, onClick: (e) => onClick(e), tabIndex: 0, onKeyDown: (e) => onKeyDown(e) }, children)) : (react_1.default.createElement("div", { style: SweetAlertStyles_1.sweetAlertContainer, tabIndex: 0, onKeyDown: (e) => onKeyDown(e) }, children));
    }
}
exports.default = Overlay;
//# sourceMappingURL=Overlay.js.map